[Progetto] Volontari per testare repository ultime versioni driver ATI e NVIDIA

Iniziative e progetti della comunità legati a Ubuntu.
Regole della sezione
Questa sezione ha lo scopo di raccogliere le iniziative/progetti della nostra Comunità legati ad Ubuntu. I progetti ospitati nascono da iniziative degli utenti o gruppi di utenti. In futuro i progetti potrebbero rimanere iniziative "personali" o essere integrate nella distribuzione, sponsorizzate da Ubuntu o da Canonical a discrezione dei responsabili. All'interno di essa sarà possibile inserire delle discussioni che hanno la funzione di pubblicizzare avvenimenti, iniziative e progetti software su Ubuntu e GNU/Linux in generale. Sarà inoltre possibile per gli utenti proporre lo sviluppo di nuovi software e in questo caso la discussione di richiesta avrà la funzione di generare un requisito funzionale del prodotto da sviluppare.

Sezione I - Iniziative
  • Fanno parte di iniziative, ad esempio, le seguenti categorie: corsi, progetti editoriali, libri.
  • La segnalazione di un'iniziativa avviene creando una discussione con l'annuncio.
  • Una volta effettuata la segnalazione, la discussione viene chiusa dal Gruppo Forum.
  • Se l'iniziativa esposta comporta un costo di adesione o fruizione, questo deve essere esplicitamente riportato all'interno della discussione.
  • È obbligatorio segnalare all'interno della discussione i riferimenti per poter contattare/partecipare all'iniziativa.

Sezione II - Progetti
  • La segnalazione di un progetto software, come per le iniziative, avviene e si sviluppa all'interno di una singola discussione.
  • Sarà consentito l'inserimento di software solo se rilasciati sotto licenza GPL (in tutte le sue versioni) o equivalente FOSS, tale da garantire agli utenti l'utilizzo del prodotto senza restrizioni e agli sviluppatori la proprietà intellettuale del codice prodotto.
  • Nell'oggetto della discussione dovrà essere riportata la categoria (es. [Iniziativa], [Progetto] o [Proposta]) e una semplice descrizione del progetto.
  • Se il progetto ha già un sito che lo ospita sarà a discrezione del Gruppo Forum chiuderla come segnalazione o lasciarla aperta.
  • Se il progetto non ha un sito che lo ospita si potranno aprire due discussioni, una per proporre modifiche/implementazioni (dove nel titolo occorre specificare [sviluppo]) ed una per segnalare problemi (e nel titolo dovrà comparire [supporto]).
  • Non è consentita l'apertura di nuove discussioni in riferimento a versioni superiori o modificate di un prodotto già riportato in precedenza.
  • Se il software oggetto del progetto ha una dimensione non superiore ai 128 kB, per prodotti che non hanno un sito che li ospita, sarà possibile allegarlo alla discussione.

Sezione III - Proposte
  • Una proposta deve essere eseguita e si svilupperà all'interno di una singola discussione.
  • Le proposte dovranno essere inserite direttamente nella sezione "Progetti della Comunità".
  • Dovranno essere specificate le funzionalità che devono essere sviluppate.
  • Non dovranno essere riportate diciture tipo "...deve fare come questo software...", ma indicare nel miglior modo possibile i requisiti.
  • Una volta segnalata la discussione resterà aperta per consentire uno scambio di idee su come sviluppare il codice o finché gli sviluppatori non forniranno una soluzione (da pubblicizzare poi, come visto prima, nella sezione Progetti) che ne soddisfi il requisito.

Per quanto non esposto sopra, si fa comunque riferimento al Regolamento del forum ed al Codice di Condotta della Comunità.

[Progetto] Volontari per testare repository ultime versioni driver ATI e NVIDIA

Messaggioda tseliot » domenica 1 ottobre 2006, 21:27

L'idea è questo thread di dare inizio ad un progetto incentrato sulla community in cui la community potrà avere sempre l'ultimo driver per le schede di Nvidia e di ATI via restricted modules con dei repository.

La sperimentazione è già cominciata sul forum inglese:
http://ubuntuforums.org/showthread.php?t=255929

Tutti gli utenti interessati partecipare possono installare i driver e condividere la loro esperienza su questo thread del forum italiano o su quello inglese in modo da poter testare i driver su diverse configurazioni hardware.

Per ulteriori dettagli potete leggere qui:
http://albertomilone.com/driver.html

Questo thread RIGUARDA SOLO UBUNTU DAPPER e UBUNTU EDGY
Ultima modifica di Janvitus il lunedì 12 marzo 2007, 14:43, modificato 1 volta in totale.
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda Embrace » domenica 1 ottobre 2006, 21:41

Ciao.
Ho installato i drivers beta sia su edgy64 non senza problemi purtroppo, dopo aver rinunciato ad installarli su Dapper32 e Edgy32. Ho una asus EN7300GS, ovvero un nvidia GeForce 7300GS.

Su Dapper 32bit , poichè provenivo da molteplici tentativi mediante repository per compiz/xgl, non ho potuto effettuare l'installazione dato che continuavano ad entrare in conflitto i moduli del kernel (rimasti alla 8447) con quelli di X (aggiornati con successo). Ho fatto molti tentativi, ma alla fine ho rinunciato e upgradato ad edgy, sempre 32. Anche qui, sempre per colpa di precedenti casini, non sono riuscito ad installare i drivers. Le poche volte che riuscivo ad avere moduli del kernel della medesima versione di X, il server non partiva comunque e tuttora non comprendo perchè.

Su edgy a 64 , installata di fresco, non ho avuto alcun problema, se non l'accortezza di non avviare X subito dopo l'installazione dei drivers ma riavviare il pc. Ho notato infatti che se avviavo nell'immediato i moduli del kernel non si eran oancora aggiornati. Dopo il riavvio invece tutto è andato a posto.

Conclusioni:
Direi che se avete intenzione di fare un how-to dovreste inserire questo procedimento di riavvio per permettere al sistema di upgradare i moduli e di caricarli con successo (ovviamente se la mia osservazione è fondata e rispecchia la situazione anche di altri), così da evitare spiacevoli insuccessi

Inoltre consiglierei di insistere sulla parte della rimozione dei precedenti moduli sia di X che del kernel.

Viva nvidia (b2b)
Avatar utente
Embrace Non specificato
Imperturbabile Insigne
Imperturbabile Insigne
 
Messaggi: 3223
Iscrizione: febbraio 2006
Località: Pisa

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » domenica 1 ottobre 2006, 22:29

Embrace ha scritto:Ciao.
Ho installato i drivers beta sia su edgy64 non senza problemi purtroppo, dopo aver rinunciato ad installarli su Dapper32 e Edgy32. Ho una asus EN7300GS, ovvero un nvidia GeForce 7300GS.

Su Dapper 32bit , poichè provenivo da molteplici tentativi mediante repository per compiz/xgl, non ho potuto effettuare l'installazione dato che continuavano ad entrare in conflitto i moduli del kernel (rimasti alla 8447) con quelli di X (aggiornati con successo). Ho fatto molti tentativi, ma alla fine ho rinunciato e upgradato ad edgy, sempre 32. Anche qui, sempre per colpa di precedenti casini, non sono riuscito ad installare i drivers. Le poche volte che riuscivo ad avere moduli del kernel della medesima versione di X, il server non partiva comunque e tuttora non comprendo perchè.

Su edgy a 64 , installata di fresco, non ho avuto alcun problema, se non l'accortezza di non avviare X subito dopo l'installazione dei drivers ma riavviare il pc. Ho notato infatti che se avviavo nell'immediato i moduli del kernel non si eran oancora aggiornati. Dopo il riavvio invece tutto è andato a posto.

Conclusioni:
Direi che se avete intenzione di fare un how-to dovreste inserire questo procedimento di riavvio per permettere al sistema di upgradare i moduli e di caricarli con successo (ovviamente se la mia osservazione è fondata e rispecchia la situazione anche di altri), così da evitare spiacevoli insuccessi

Inoltre consiglierei di insistere sulla parte della rimozione dei precedenti moduli sia di X che del kernel.

Viva nvidia (b2b)

Non l'ho precisato qui ma penso che sia abbastanza evidente sul link che ho postato:
Questo progetto è solo per gli utenti di Ubuntu Dapper. Non è per Edgy.

E poi ho anche detto che se i driver sono già stati installati col metodo 2 è necessario disinstallarli.
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda Teto_z » sabato 7 ottobre 2006, 15:39

Embrace ha scritto:Direi che se avete intenzione di fare un how-to dovreste inserire questo procedimento di riavvio per permettere al sistema di upgradare i moduli e di caricarli con successo (ovviamente se la mia osservazione è fondata e rispecchia la situazione anche di altri), così da evitare spiacevoli insuccessi

Inoltre consiglierei di insistere sulla parte della rimozione dei precedenti moduli sia di X che del kernel.

Viva nvidia (b2b)

è comunque sufficiente dare un
Codice: Seleziona tutto
depmod -a
rmmod fglrx
modprobe fglrx

invece di riavviare...
Teto_z Non specificato
Prode Principiante
 
Messaggi: 3
Iscrizione: giugno 2006

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » sabato 7 ottobre 2006, 16:34

Teto_z ha scritto:
Embrace ha scritto:Direi che se avete intenzione di fare un how-to dovreste inserire questo procedimento di riavvio per permettere al sistema di upgradare i moduli e di caricarli con successo (ovviamente se la mia osservazione è fondata e rispecchia la situazione anche di altri), così da evitare spiacevoli insuccessi

Inoltre consiglierei di insistere sulla parte della rimozione dei precedenti moduli sia di X che del kernel.

Viva nvidia (b2b)

è comunque sufficiente dare un
Codice: Seleziona tutto
depmod -a
rmmod fglrx
modprobe fglrx

invece di riavviare...

Certo. Ovviamente i comandi devono essere dati usando sudo (o come root).

Consiglio di riavviare perché a volte è la soluzione migliore
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda ilbozo » domenica 8 ottobre 2006, 14:06

Ciao, ho seguito il tuo Howto e ho installato i driver ati nonlegacy. Tutto sembra funzionare come prima (avevo gli stessi drivers installati con il file run della ATI).
Come faccio a verificare che siano effettivamente i tuoi deb a funzionare rispetto a quelli precedenti?
Inoltre, io ho una versione del kernel diversa da quella ufficiale di dapper... influisce in qualche maniera?
Grazie
Bozo
ilbozo Non specificato
Prode Principiante
 
Messaggi: 34
Iscrizione: novembre 2005

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » domenica 8 ottobre 2006, 17:09

ilbozo ha scritto:Ciao, ho seguito il tuo Howto e ho installato i driver ati nonlegacy. Tutto sembra funzionare come prima (avevo gli stessi drivers installati con il file run della ATI).
Come faccio a verificare che siano effettivamente i tuoi deb a funzionare rispetto a quelli precedenti?
Inoltre, io ho una versione del kernel diversa da quella ufficiale di dapper... influisce in qualche maniera?
Grazie
Bozo

I driver che ho pacchettizzato sono come quelli ufficiali di Ubuntu (solo più aggiornati).

I restricted modules sono abbinati ai kernel ufficiali di Ubuntu. Non funzioneranno sui kernel ricompilati a meno che tu non installi il pacchetto fglrx-kernel-source (sempre dai miei repository) e usi modules-assistant (credo che ci sia una guida a riguardo) per compilare il modulo per il tuo kernel.

Hai usato modules-assistant?
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda RedTuxAgainstTheSystem » lunedì 9 ottobre 2006, 13:03

Ciao a tutti.

Ho appena installato gli ultimi driver della ati, versione 8.29.6.

Prima avevo su i driver scaricabili dai repository, versione 8.25, metodo uno dell'installazione. Il prolema più evidente era lo sfarfallio del puntatore del mouse, anche se era al quanto flessibile con la configurazione, ingoiava qualsiasi cosa gli impostassi nello xorg.conf. Per installare gli ultimi driver ho usato il secondo metodo della guida, scaricando l'installer; sfarfallio risolto, e per adesso non ci sono problemi. Visto che avevo già gli 8.25, il comando

aticonfig --initial


restituisce un errore, niente paura, è normale. Come scritto nelle note della guida, bisogna forzare

aticonfig --force --initial
.

per adesso tutto ok, solo sono fuori sede, e ancora non mi sono alle prese con il dual-head, vedremo.

PS: presto metterò alla prova l'accellerazione
Un popolo senza odio non può vincere contro un nemico brutale.
Avatar utente
RedTuxAgainstTheSystem Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 433
Iscrizione: settembre 2006

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda ilbozo » lunedì 9 ottobre 2006, 13:09

tseliot ha scritto:I driver che ho pacchettizzato sono come quelli ufficiali di Ubuntu (solo più aggiornati).

I restricted modules sono abbinati ai kernel ufficiali di Ubuntu. Non funzioneranno sui kernel ricompilati a meno che tu non installi il pacchetto fglrx-kernel-source (sempre dai miei repository) e usi modules-assistant (credo che ci sia una guida a riguardo) per compilare il modulo per il tuo kernel.

Hai usato modules-assistant?


No non l'ho usato per i "tuoi" drivers, adesso mi accingo (dopo l'ennesimo formattone e la 26^ reinstallazione di dapper) a provare. In questo caso non userò un kernel più aggiornato perchè ha risolto dei problemi ma ne ha creati altri... Uff che fatica sto Linux!  :'(
ilbozo Non specificato
Prode Principiante
 
Messaggi: 34
Iscrizione: novembre 2005

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda ilbozo » lunedì 9 ottobre 2006, 13:23

Ok, ecco fatto. Sembra funzionare tutto alla perfezione.

fglrxinfo mi dice:
Codice: Seleziona tutto
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON X600 Generic
OpenGL version string: 2.0.6065 (8.29.6)


Unico bug, che però non dipende dai tuoi repositoriesm, è che la tool aticonfig afferma che la mia sk video ha 128 mega anzichè 256... Mah! Misteri di Linux!
ilbozo Non specificato
Prode Principiante
 
Messaggi: 34
Iscrizione: novembre 2005

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » lunedì 9 ottobre 2006, 17:01

ilbozo ha scritto:Ok, ecco fatto. Sembra funzionare tutto alla perfezione.

fglrxinfo mi dice:
Codice: Seleziona tutto
display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: MOBILITY RADEON X600 Generic
OpenGL version string: 2.0.6065 (8.29.6)


Unico bug, che però non dipende dai tuoi repositoriesm, è che la tool aticonfig afferma che la mia sk video ha 128 mega anzichè 256... Mah! Misteri di Linux!

Non dovrebbe essere un problema.
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » venerdì 20 ottobre 2006, 21:05

AGGIORNAMENTO: il driver Nvidia 8776 è disponibile nei repository non-legacy.

Vi consiglio vivamente di installarlo dato che risolve un noto problema di sicurezza.

Eccovi il changelog di Nvidia

* Added hotfix for Rapid7 Advisory R7-0025. Please view this NVIDIA Knowledgebase article for more information on this hotfix and the affected drivers.
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda smurf » sabato 21 ottobre 2006, 18:41

OK, ma due domande:
1) La 8774 non era compatibile con xgl + compiz. Ora io sto usando beryl + emerald, la 8776 è compatibile?
2) A quali repo fai riferimento? Nei repo di dapper non c'è ancora, sono fermi alla 8762

Grazie tseliot
La terra non è una eredità che riceviamo dai nostri genitori, ma un prestito che ci fanno i nostri figli.
Avatar utente
smurf Maschile
Rampante Reduce
Rampante Reduce
 
Messaggi: 5251
Iscrizione: luglio 2006
Località: Lima - Perú
Distribuzione: Ubuntu 12.04 64 bits
Desktop: gnome-classic

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » lunedì 23 ottobre 2006, 10:56

smurf ha scritto:OK, ma due domande:
1) La 8774 non era compatibile con xgl + compiz. Ora io sto usando beryl + emerald, la 8776 è compatibile?

Non ho provato Beryl o emerald ma non credo che non funzionino con questo driver. E'' essenzialmente uguale al 8774 ma non ha il problema di sicurezza

smurf ha scritto:2) A quali repo fai riferimento? Nei repo di dapper non c''è ancora, sono fermi alla 8762

Grazie tseliot



Faccio riferimento ai miei repository (vedi l''annuncio).

Mi raccomando, i miei repository sono http://albertomilone, etc. e non http://www.albertomilone
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » giovedì 26 ottobre 2006, 21:51

Aggiornamento: I driver sono ora disponibili anche per Ubuntu Edgy.

Date un'occhiata a questo post sul mio blog:
http://albertomilone.com/wordpress/?p=38
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » venerdì 27 ottobre 2006, 16:30

AGGIORNAMENTO: Ho appena aperto gli UNSTABLE repositories

Questi pacchetti contengono il driver Beta di Nvidia, per questo motivo NON SARANNO SUPPORTATI in alcun modo e, qualora decideste di usarli, dovreste farlo A VOSTRO RISCHIO E PERICOLO. Inoltre NON dovrete chiedere aiuto nel mio thread sul forum per questo driver beta (dato che non sarei in grado di aiutarvi).


Solitamente non fornisco driver beta ma, in questo caso, ho fatto un'eccezione dato che ho ricevuto un numero significativo di richieste sul forum inglese.

Consideratelo come un mio regalo alla Community, per consentile agli utenti di schede Nvidia users di provare gli effetti grafici offerti da AIGLX+ Beryl, Compiz, ecc.

Buon divertimento ;)

http://albertomilone.com/driver_edgyunstableita.html
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda Cobra78 » mercoledì 1 novembre 2006, 13:02

Installati i penultimi ATI su Edgy 32 bit, nessun problema da segnalare ;)

A quando gli 8.30? :D
Dell Inspiron 1720 Ice White Windows 7 Professional/Archlinux x86_64 - 2.6.38.x - Gnome3
Msi Wind U100 Windows Xp/Ubuntu 11.04 - Gnome3
Avatar utente
Cobra78 Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 991
Iscrizione: agosto 2005
Località: Ferrara

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda smurf » mercoledì 1 novembre 2006, 16:20

tseliot ha scritto:
smurf ha scritto:OK, ma due domande:
1) La 8774 non era compatibile con xgl + compiz. Ora io sto usando beryl + emerald, la 8776 è compatibile?

Non ho provato Beryl o emerald ma non credo che non funzionino con questo driver. E' essenzialmente uguale al 8774 ma non ha il problema di sicurezza


Ok, ho installato il driver 8776 e funziona benissimo con beryl e emerald, ho solo notato un piccolo rallentamento nei movimenti, ma è una impressione personale e non ho dati a supporto per poterlo affermare come certezza. Dopo aver abilitato il frame buffer la cosa è migliorata.
La terra non è una eredità che riceviamo dai nostri genitori, ma un prestito che ci fanno i nostri figli.
Avatar utente
smurf Maschile
Rampante Reduce
Rampante Reduce
 
Messaggi: 5251
Iscrizione: luglio 2006
Località: Lima - Perú
Distribuzione: Ubuntu 12.04 64 bits
Desktop: gnome-classic

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » mercoledì 1 novembre 2006, 18:09

Cobra78 ha scritto:Installati i penultimi ATI su Edgy 32 bit, nessun problema da segnalare ;)

A quando gli 8.30? :D

Li sto compilando.

Farò l''upload stasera
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Re: SI CERCANO Tester per le ultime versioni dei driver ATI e NVIDIA

Messaggioda tseliot » giovedì 2 novembre 2006, 17:02

AGGIORNAMENTO: Il driver ATI 8.30.3 è ora disponibile nei miei repository nonlegacy per Ubuntu Edgy

I pacchetti per Dapper saranno resi disponibili in seguito.
Avatar utente
tseliot Non specificato
Scoppiettante Seguace
Scoppiettante Seguace
 
Messaggi: 986
Iscrizione: maggio 2006
Località: Lecce

Successiva

Torna a Progetti della Comunità

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 1 ospite